맥에서 인텔리제이를 위한 JDK 설정

오라클 사에서는 맥을 위한 JDK도 지원한다. JDK8까지 지원하고 다운받아서 설치만 하면 기본 JDK 정보도 바꿔준다. 설정이 잘 되었는지 확인하고 싶다면 터미널에서 java나 javac의 버전을 확인해보거나, 오라클에서 제공하는 테스트 페이지에서 시험해보면 된다.

그런데, 인텔리제이는 최신버전(현재 14)설치해도 아래와 같은 메시지를 보이면서 Apple 사의 JDK 6(현재 최신)를 설치하라고 한다.

Screen Shot 2014-11-09 at 23.53.02

JDK 설정을 찾지못해서 보여주는 일종의 버그라고 생각했는데 아니었다. 인텔리제이 사의 서포트 페이지를 보면 그 이유가 열거되어 있다. 간단히 요약하면, 오라클 사의 맥용 JDK가 맥에서 동작할 때 버그가 있어서 여전히 애플 사의 JDK 6를 사용한다는 것이다.

그러니, 인텔리제이를 구동하기 위해서라면 윈도우 셋팅하듯 최신 버전 JDK 설치하지 말고, 애플의 JDK 6를 사용하자.

참고로, 위의 설정은 인텔리제이를 위한 JDK 설정으로 인텔리제이를 실행한 후에는 JDK를 추가할 수 있다. 이 때, 오라클 사의 JDK를 추가해서 프로젝트에 사용할 수 있다.

Screen Shot 2014-11-10 at 01.01.46

그 밖에

스택오버플로우에 보면 인텔리제이를 JDK 7에서 동작시키는 방법들이 나와있지만, 보통은 애플의 JDK를 사용하길 권장하고 있다.

인텔리제이 베타판 중에 JDK 최신(현재 8)을 포함해 배포하고 있는 버전이 있는 걸 보면, 애플이 JDK 버전을 올려주지 않아도 결국은 최신버전을 사용할 수 있게 될 것 같다.

 

참조

댓글 남기기

이메일은 공개되지 않습니다.

이 사이트는 스팸을 줄이는 아키스밋을 사용합니다. 댓글이 어떻게 처리되는지 알아보십시오.